<app-navigation [mainContent]="mainTemplate"></app-navigation>

<ng-template #mainTemplate class="profile-container" style="font-size: 21px">
  <div *ngIf="user.montant_en_attente_a_payer != 0 && user.montant_en_attente_a_payer != null" style="font-weight: bold; color: red; text-align: center"><mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon> Tu as des dettes en attente, vérifie tes mails stp. <mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon></div>
  <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">MES ACHATS POUR LE GROUPE</div>
    <h4 style="margin-bottom: 10px">Ajouter un achat <span style="color: red">(mettre les centimes)</span> :</h4>
    <form class="formAchat" [formGroup]="achatForm" (ngSubmit)="submitAjoutAchat()">
      <div>
        <span class="form__libelle">J'ai dépensé </span>
        <input type="number" class="form__field" formControlName="montant" name="montant" [(ngModel)]="montant" required />
      </div>
      <mat-divider></mat-divider>
      <div>
        <span class="form__libelle">Pour </span>
        <input type="input" class="form__field" formControlName="libelle" name="libelle" required />
      </div>
      <mat-divider></mat-divider>
      <div>
        <span class="form__libelle">C'était de l'alcool (hors bières) </span>
        <mat-radio-group style="margin-top: -3px" class="form__field" value="false" formControlName="alcool" name="alcool" aria-label="Select an option" [(ngModel)]="alcool">
          <mat-radio-button  value="true">Oui</mat-radio-button>
          <mat-radio-button style="margin-left: 10px" value="false">Non</mat-radio-button>
        </mat-radio-group>
      </div>
      <mat-divider></mat-divider>
      <div style="color:red; font-weight: bold">Merci de séparer tes achats d'alcool (hors bières) du reste pour ceux qui ne boivent pas.</div>
      <div style="color:red;">Si tu as fait un achat avec de l'aclool et d'autres trucs, ajoute 2 achats SÉPARÉMENT (il faut juste faire une petite soustraction).</div>
      <div style="text-align: center">
        <button mat-button type="submit"
                style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px"
                cdkFocusInitial>Ajouter un achat
        </button>
      </div>

    </form>


    <h4 *ngIf="achats != null && achats.length != 0" style="margin-bottom: 10px; margin-top: 50px">Mes achats <span *ngIf="achats_total != 0.00">({{achats_total}}€)</span> :</h4>
  <div class="table-scroll" *ngIf="achats != null && achats.length != 0">
    <table class="main-table clone" *ngIf="achats != null && achats.length != 0" role="table">
      <thead role="rowgroup">
      <tr role="row">
        <th role="columnheader" class="fixed-side">J'ai dépensé</th>
        <th role="columnheader">Pour</th>
        <th role="columnheader">C'était de l'alcool (hors bières)</th>
        <th role="columnheader"></th>
      </tr>
      </thead>
      <tbody role="rowgroup">
      <tr role="row" *ngFor="let achat of achats">
        <td role="cell" class="fixed-side">{{achat.montant}}€</td>
        <td role="cell">{{achat.libelle}}</td>
        <td role="cell">{{achat.alcool == "1" ? "Oui" : "Non"}}</td>
        <td role="cell"><button (click)="supprimerAchat($event, achat.id)" mat-raised-button color="warn">Supprimer</button></td>
      </tr>

      </tbody>
    </table>

    <div class="table-wrap">
      <table class="main-table" *ngIf="achats != null && achats.length != 0" role="table">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" class="fixed-side">J'ai dépensé</th>
          <th role="columnheader">Pour</th>
          <th role="columnheader">C'était de l'alcool (hors bières)</th>
          <th role="columnheader"></th>
        </tr>
        </thead>
        <tbody role="rowgroup">
        <tr role="row" *ngFor="let achat of achats">
          <td role="cell" class="fixed-side">{{achat.montant}}€</td>
          <td role="cell">{{achat.libelle}}</td>
          <td role="cell">{{achat.alcool == "1" ? "Oui" : "Non"}}</td>
          <td role="cell"><button (click)="supprimerAchat($event, achat.id)" mat-raised-button color="warn">Supprimer</button></td>
        </tr>

        </tbody>
      </table>

    </div>

  </div>


</ng-template>
